# Project: Oblig1
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = Asteroide.o asteroids.o Bala.o common.o Config.o Dust.o glm.o Juego.o Keyboard.o Lista.o Menu.o Model.o Nave.o Objeto.o Pantalla.o Text.o Vector3D.o Model_3DS.o $(RES)
LINKOBJ  = Asteroide.o asteroids.o Bala.o common.o Config.o Dust.o glm.o Juego.o Keyboard.o Lista.o Menu.o Model.o Nave.o Objeto.o Pantalla.o Text.o Vector3D.o Model_3DS.o $(RES)
LIBS =  -L"C:/Documents and Settings/compgraf/Desktop/source/lib" -L"C:/Dev-cpp/lib" -mwindows -lfreeglut -lglu32 -lopengl32 -lfreeimage  -lwinmm   
INCS =  -I"C:/Documents and Settings/compgraf/Desktop/source/include"  -I"C:/dev-cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Documents and Settings/compgraf/Desktop/source/include"  -I"C:/dev-cpp/include" 
BIN  = Oblig1.exe
CXXFLAGS = $(CXXINCS)  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before Oblig1.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "Oblig1.exe" $(LIBS)

Asteroide.o: Asteroide.cpp
	$(CPP) -c Asteroide.cpp -o Asteroide.o $(CXXFLAGS)

asteroids.o: asteroids.cpp
	$(CPP) -c asteroids.cpp -o asteroids.o $(CXXFLAGS)

Bala.o: Bala.cpp
	$(CPP) -c Bala.cpp -o Bala.o $(CXXFLAGS)

common.o: common.cpp
	$(CPP) -c common.cpp -o common.o $(CXXFLAGS)

Config.o: Config.cpp
	$(CPP) -c Config.cpp -o Config.o $(CXXFLAGS)

Dust.o: Dust.cpp
	$(CPP) -c Dust.cpp -o Dust.o $(CXXFLAGS)

glm.o: glm.cpp
	$(CPP) -c glm.cpp -o glm.o $(CXXFLAGS)

Juego.o: Juego.cpp
	$(CPP) -c Juego.cpp -o Juego.o $(CXXFLAGS)

Keyboard.o: Keyboard.cpp
	$(CPP) -c Keyboard.cpp -o Keyboard.o $(CXXFLAGS)

Lista.o: Lista.cpp
	$(CPP) -c Lista.cpp -o Lista.o $(CXXFLAGS)

Menu.o: Menu.cpp
	$(CPP) -c Menu.cpp -o Menu.o $(CXXFLAGS)

Model.o: Model.cpp
	$(CPP) -c Model.cpp -o Model.o $(CXXFLAGS)

Nave.o: Nave.cpp
	$(CPP) -c Nave.cpp -o Nave.o $(CXXFLAGS)

Objeto.o: Objeto.cpp
	$(CPP) -c Objeto.cpp -o Objeto.o $(CXXFLAGS)

Pantalla.o: Pantalla.cpp
	$(CPP) -c Pantalla.cpp -o Pantalla.o $(CXXFLAGS)

Text.o: Text.cpp
	$(CPP) -c Text.cpp -o Text.o $(CXXFLAGS)

Vector3D.o: Vector3D.cpp
	$(CPP) -c Vector3D.cpp -o Vector3D.o $(CXXFLAGS)

Model_3DS.o: Model_3DS.cpp
	$(CPP) -c Model_3DS.cpp -o Model_3DS.o $(CXXFLAGS)
